/*
* iararm.h                                                  Version 5.2.0
*
* Master Preinclude File for IAR ARM. Selects which target board header
* file to use and which SMX product libraries and demos to include.
* This file is included ahead of all other header files (in the IDE
* project, on the Preprocessor tab in C/C++ Compiler settings).
*
* IMPORTANT: Pragmas below OVERRIDE IDE settings!
*
* Copyright (c) 2002-2022 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: David Moore
*
*****************************************************************************/

/*
* Settings are done here rather than in the IDE project to ensure consistency
* across all libraries and the application. Remember that these settings
* OVERRIDE the IDE settings.
*/

/*
* Select SMX Modules/Libraries (by uncommenting)
*/
#define SMXAWARE        /* smxAware */
#define FF_DEMO         /* FatFs demo */
//#define SSMX            /* SecureSMX */
//#define SMX_FRPORT      /* FreeRTOS Port */
//#define SMX_TXPORT      /* ThreadX Port */
//#define SMX_STM32CUBEMX   /* STM32CubeMX-generated project vs. standard SMX project */

/*
* Select the target board.
*/
//#include "am1707evm.h"
//#include "am1808exp.h"
//#include "am3358bbb.h"
//#include "am3359idk.h"
//#include "am3359sk.h"
//#include "am3517exp.h"
//#include "at91cap9adk.h"
//#include "at91rm9200ek.h"
//#include "at91sam3s4cek.h"
//#include "at91sam3u4eek.h"
//#include "at91sam3x8hek.h"
//#include "at91sam4e16eek.h"
//#include "at91sam4s16cek.h"
//#include "at91sam4sd32cek.h"
//#include "at91sam7s256ek.h"
//#include "at91sam7se512ek.h"
//#include "at91sam7x256ek.h"
//#include "at91sam9260ek.h"
//#include "at91sam9261ek.h"
//#include "at91sam9263ek.h"
//#include "at91sam9g20ek.h"
//#include "at91sam9g35ek.h"
//#include "at91sam9m10g45ek.h"
//#include "at91sam9rl64ek.h"
//#include "at91sam9x35ek.h"
//#include "at91sam9xe512ek.h"
//#include "at91sama5d2xplu.h"
//#include "at91sama5d3xpld.h"
//#include "at91samg55xplp.h"
//#include "at91samv71xplu.h"
//#include "da14695pdk.h"
//#include "edb9315a.h"
//#include "efm32g290dk.h"
//#include "efm32g890dk.h"
//#include "efm32gg11sk.h"
//#include "efm32gg990dk.h"
//#include "f28m35h52c1cek.h"
//#include "imx31ads.h"
//#include "imx31phy.h"
//#include "imx6sxea.h"
//#include "imx6ulevk.h"
//#include "imx6ullevk.h"
//#include "imxrt1060evk.h"
//#include "k60f120mtwr.h"
//#include "k60n512twr.h"
//#include "k64f120mfrdm.h"
//#include "k64f120mtwr.h"
//#include "k65f180mtwr.h"
//#include "k70f120mtwr.h"
//#include "lh7a404.h"
//#include "lm3s2965ek.h"
//#include "lm3s3748ek.h"
//#include "lm3s6965ek.h"
//#include "lm3s8962ek.h"
//#include "lm3s9b92ek.h"
//#include "lm3s9b96dk.h"
//#include "lm4f232ek.h"
//#include "lpc1768iar.h"
//#include "lpc1768keil.h"
//#include "lpc1788ea.h"
//#include "lpc1788iar.h"
//#include "lpc1850htx.h"
//#include "lpc2378keil.h"
//#include "lpc2388keil.h"
//#include "lpc2468ea.h"
//#include "lpc2478ea.h"
//#include "lpc2478ks.h"
//#include "lpc2939htx.h"
//#include "lpc3131ea.h"
//#include "lpc3141ea.h"
//#include "lpc3152ea.h"
//#include "lpc3180noh.h"
//#include "lpc3180phy.h"
//#include "lpc3250ea.h"
//#include "lpc3250phy.h"
//#include "lpc4088ea.h"
//#include "lpc4357ea.h"
//#include "lpc55s69evk.h"
//#include "rm48hdk.h"
//#include "rm57hdk.h"
//#include "rza1hr7s721001rsk.h"
//#include "s3c2410iiemb.h"
//#include "s3c2443ocu.h"
//#include "stm3210beval.h"
//#include "stm3210ceval.h"
//#include "stm3210eeval.h"
//#include "stm3220geval.h"
//#include "stm32373ceval.h"
//#include "stm3240geval.h"
//#include "stm32429ieval.h"
//#include "stm32446eeval.h"
//#include "stm32469ieval.h"
//#include "stm32746geval.h"
//#include "stm32f207zgsk.h"
//#include "stm32f3dis.h"
//#include "stm32f407zgsk.h"
//#include "stm32f4dis.h"
//#include "stm32f411edis.h"
//#include "stm32f429idis.h"
//#include "stm32f439ecsk.h"
//#include "stm32f746ecsk.h"
#include "stm32f746gdis.h"
//#include "stm32f769ieval.h"
//#include "stm32f779ieval.h"
//#include "stm32h723zgnuc.h"
//#include "stm32h753ieval.h"
//#include "stm32u575iev.h"
//#include "str710eval.h"
//#include "str711ks.h"
//#include "str750ks.h"
//#include "str912ks.h"
//#include "tm4c123gdk.h"
//#include "tm4c123gxlek.h"
//#include "tm4c129xdk.h"
//#include "tm4c1294xlek.h"
//#include "tmpa900bmsk.h"
//#include "tms470r1a256iar.h"
//#include "tms470r1b1miar.h"
//#include "tms570ls20216keil.h"
//#include "vf65gs10twr.h"
//#include "xmc4500rk.h"
//#include "zynq7010mz.h"
//#include "zynq7030pz.h"

