/*
* smxbase.h                                                 Version 5.2.0
*
* smxBase Master Include File
*
* Copyright (c) 2009-2023 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: David Moore
*
*****************************************************************************/

#ifndef SB_SMXBASE_H
#define SB_SMXBASE_H

#include "bcfg.h"          /* base configuration */
#include "xcfg.h"          /* kernel configuration */
#include "acfg.h"          /* app-specific configuration */

#include "bcc.h"           /* C compiler and RTL definitions that must precede smx and smxBase headers */
#include "bdef.h"          /* definitions */

#if defined(SB_CPU_ARMM)
#include "barmm.h"         /* ARM-M macros and definitions */
#elif defined(SB_CPU_ARM)
#include "barm.h"          /* ARM macros and definitions */
#endif

#include "bbsp.h"          /* smxBSP API declarations */
#include "bcon.h"          /* console (terminal/CRT) declarations */
#if !(defined(SMX_TXPORT) && defined(SMX_STM32CUBEMX))
#include "bkbd.h"          /* keyboard driver declarations */
#endif
#include "buart.h"         /* uart driver declarations */

#include "bapi.h"          /* API */

#if defined(SSMX)
#include "mpudef.h"        /* MPU definitions */
#endif

#include "smx.h"

#endif /* SB_SMXBASE_H */

