/*
* smxmain.h                                                 Version 5.2.0
*
* PROTOSYSTEM MAIN HEADER FILE. Included in all Protosystem C files.
*
* Copyright (c) 1989-2024 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: Ralph Moore
*
*****************************************************************************/

#ifndef SMX_MAIN_H
#define SMX_MAIN_H

#include "bsp.h"       /* BSP defines */

/* Definitions */

#define EXIT_ROW  21  /* uses next row too if error occurred */

/* Externals */

#if !SMX_CFG_MPU
extern u8         heap0[SMX_CFG_HEAP_SPACE];  /* main heap memory area */
#endif

#if SMX_CFG_PROFILE
extern u32 smx_rtcb[SMX_CFG_RTCB_SIZE][SMX_CFG_NUM_TASKS + 5]; /* run time count buffer */
#endif

/* Function Prototypes */
void appl_init(void);
void appl_exit(void);
void smx_IdleMain(u32);

#ifdef __cplusplus
extern "C" {
#endif
void smx_main(void);
void smx_TickISR(void);
void smx_TickISRShell(void);
#ifdef __cplusplus
}
#endif

#if !SMX_CFG_MPU
#undef  MP_MPU_ACTVSZ
#define MP_MPU_ACTVSZ 0
#endif

#endif /* SMX_MAIN_H */

