/*
* smx.h                                                     Version 5.2.0
*
* smx master header file.
*
* This file includes all of the smx header files in the proper order.
* Include it in all C/C++ files that use smx.
*
* Copyright (c) 1989-2023 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* SMX is protected by US Patents 9,336,072, 9,424,027, 10,318,198,
* 10,635,831, 11,010,070, 11,132,305, 11,256,631, 11,283,776, 11,461,141,
* and one or more patents pending.
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: David Moore
*
*****************************************************************************/

#ifndef SMX_SMX_H
#define SMX_SMX_H

#include "smxbase.h"    /* smxBase (and smxBSP) master include file */
#include "xdef.h"       /* smx defines and named constants */
#include "xtypes.h"     /* smx type and structure definitions */
#include "xevb.h"       /* smx event buffer macros and definitions */
#include "xheap.h"      /* heap definitions */
#include "xglob.h"      /* smx global variable declarations */

/* Keep ARMM check ahead of ARM. Keep PORTABLE last. */
#if defined(SB_CPU_ARMM)
#include "xarmm.h"      /* ARM-M macros and definitions */
#elif defined(SB_CPU_ARM)
#include "xarm.h"       /* ARM macros and definitions */
#endif

#include "xapi.h"       /* smx API functions and macros */

//#include "bossmx.h"   /* OS porting macros and definitions for smx */

#if SMX_CFG_MPU
#include "xpcfg.h"      /* portal selection */
#endif

#if SMX_CFG_PORTAL
#include "portl.h"      /* portal definitions */
#include "cprtl.h"      /* console portal definitions */
#endif

#endif /* SMX_SMX_H */

