/*
* stm32f746gdis.h                                           Version 5.2.0
*
* Preinclude File for STMicro STM32F746G-DISCOVERY Board
*
* Specifies global settings, such as the CPU type to ensure that all
* SMX libraries and the application are built consistently.
* The IDE project points to a prefix/preinclude file that includes it.
*
* Copyright (c) 2009-2023 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: XiaoYi Chen
*
*****************************************************************************/

/*
* Define the target board and processor so the code can check them.
*/
#define SB_BRD_STMICRO_STM32F746G_DISCOVERY
#define SB_BRD_STMICRO_STM32
#define SB_CPU_STM32F746NG
#define SB_CPU_STM32F746
#define SB_CPU_STM32F74X
#define SB_CPU_STM32F7XX
#define SB_CPU_STM32

#define SB_MIN_RAM 0         /* Minimize RAM use if 1 */

/* Special defines needed by STMicro HAL Library. */
#define STM32F746xx 1        /* 1 so same as if defined on command line, but checked #if defined() */
#define USE_STM32746G_DISCO
#define USE_HAL_DRIVER_V1_4  /* HAL BSP v1.4 or later */
#define DATA_IN_ExtSDRAM     /* Keep out SDRAM init code in HAL since we do in startup.c. */
#define HSE_VALUE 25000000   /* External osc/crystal Hz */ //USER: Set for your board

/*
* Set target processor type consistently in all projects. No pragma for it.
*/

