/*
* xpcfg.h                                                   Version 5.2.0
*
* Portal selection.
*
* This file is always included, even if portals are not present (so settings
* are defined to 0), making conditional checks in the code simpler.
*
* Copyright (c) 2020-2023 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* SMX is protected by patents listed in smx.h.
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: David Moore
*
*****************************************************************************/

#ifndef SMX_XPCFG_H
#define SMX_XPCFG_H

#if SMX_CFG_PORTAL
#define CP_PORTAL       1  /* console portal <1>*/
#define FF_PORTAL       1  /* FatFs portal */
#else
#define CP_PORTAL       0
#define PP_PORTAL       0
#endif /* SMX_CFG_PORTAL */

/* Notes:
   1. CP_PORTAL change requires .icf change:
      0: cp_code/data must be in ucom_code/data.
      1: cp_code/data must be in rom_block/sram_block.
*/

#endif /* SMX_XPCFG_H */